Bug 143714 - [GTK3] Icon for Formats Only paste special not displayed
Summary: [GTK3] Icon for Formats Only paste special not displayed
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
7.2.0.2 rc
Hardware: x86-64 (AMD64) Linux (All)
: medium minor
Assignee: Caolán McNamara
URL:
Whiteboard: target:7.3.0 target:7.2.0
Keywords:
Depends on:
Blocks: GTK3 Paste-Special
  Show dependency treegraph
 
Reported: 2021-08-03 22:50 UTC by stragu
Modified: 2021-08-08 05:57 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description stragu 2021-08-03 22:50:59 UTC
Description:
In the new paste special dialogue (introduced in LO 7.2), the icon for the "Formats Only" preset doesn't show when using GTK3.

Steps to Reproduce:
1. Open Calc
2. Copy a cell
3. Open Paste Special dialogue with shortcut Ctrl + Shift + V

Actual Results:
The icon for the new "Formats Only" preset is not shown.

Expected Results:
The icon is shown, just like for other UI toolkits.


Reproducible: Always


User Profile Reset: Yes



Additional Info:
gtk3 does not display, but the following alternatives do show the picture properly:

SAL_USE_VCLPLUGIN=kf5 libreoffice7.2

and:

SAL_USE_VCLPLUGIN=qt5 libreoffice7.2

Could be a regression, as 7.3 alpha0+ displays properly.

Reproduced with:

Version: 7.2.0.2 / LibreOffice Community
Build ID: 614be4f5c67816389257027dc5e56c801a547089
CPU threads: 4; OS: Linux 5.4; UI render: default; VCL: gtk3
Locale: en-AU (en_AU.UTF-8); UI: en-US
Calc: threaded

But not:

Version: 7.3.0.0.alpha0+ / LibreOffice Community
Build ID: 1dd4a80fa076bedb3a82821517036bad8dd79857
CPU threads: 4; OS: Linux 5.4; UI render: default; VCL: gtk3
Locale: en-AU (en_AU.UTF-8); UI: en-US
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2021-07-26_22:41:19
Calc: threaded
Comment 1 Dmitrii A 2021-08-04 02:07:03 UTC
no repro in

Version: 7.3.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: ac80ec817eb07c77a51bc0729985a473c734182e
CPU threads: 16; OS: Windows 10.0 Build 19042; UI render: Skia/Raster; VCL: win
Locale: ru-RU (ru_RU); UI: en-US
Calc: CL
Comment 2 Buovjaga 2021-08-04 07:06:02 UTC
No repro with gtk3, please try a newer build

Arch Linux 64-bit
Version: 7.3.0.0.alpha0+ / LibreOffice Community
Build ID: 3e21ee215d0cda14725133e7c33b974b2290f2d3
CPU threads: 8; OS: Linux 5.13; UI render: default; VCL: gtk3
Locale: fi-FI (fi_FI.UTF-8); UI: en-US
Calc: threaded
Built on 3 August 2021
Comment 3 Caolán McNamara 2021-08-04 08:07:54 UTC
One of the buttons is missing "always-show-image" while the other three have that property.
Comment 4 Commit Notification 2021-08-04 12:19:37 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-7-2":

https://git.libreoffice.org/core/commit/0b3412a98781dd42cb049de847969aae1d4e3258

Resolves: tdf#143714 only three of four of these buttons have always-show-image

It will be available in 7.2.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2021-08-07 15:20:23 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-7-2-0":

https://git.libreoffice.org/core/commit/f41fb0bdb914ed6cb19132b04d32c97c6078fd38

Resolves: tdf#143714 only three of four of these buttons have always-show-image

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 stragu 2021-08-08 05:57:50 UTC
Thank you Caolán!

Verified as fixed in:

Version: 7.3.0.0.alpha0+ / LibreOffice Community
Build ID: 0ec10cff008eb2d8b2c4f5b5fa35b25162081e9e
CPU threads: 4; OS: Linux 5.4; UI render: default; VCL: gtk3
Locale: en-AU (en_AU.UTF-8); UI: en-US
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2021-08-06_15:09:45
Calc: threaded